# RPM specfile for gnome-pilot-conduits module
# Generated Mon Aug 18 20:23:53 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.5 2003/07/31 17:23:29 thunder Exp $
# from 

%define nam	gnome-pilot-conduits
%define ver	2.0.10
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	gnome-pilot-conduits
Version: 	2.0.10
Release:	0.ximian.0.1
Vendor:		Ximian, Inc.
Distribution:	Ximian Evolution for SuSE Linux Desktop 1.0 / i386
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages

URL:		http://www.gnome.org/gnome-pilot/
Source0:	gnome-pilot-conduits-2.0.10.tar.gz
BuildRequires:	gettext
BuildRequires:	gnome-pilot-devel >= 2.0.9
Summary:	PalmOS link utilities
Group:		Applications/Communications
Provides:	ximian-gnome-pilot-conduits = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/opt/gnome2/*/locale/*/LC_MESSAGES/*.mo
/opt/gnome2/share/gnome-pilot/conduits/*
/opt/gnome2/share/pixmaps/*
/opt/gnome2/lib/gnome-pilot/conduits/*.so


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-pilot-conduits-2.0.10
    ;;
all)
%setup  -q -n gnome-pilot-conduits-2.0.10
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/opt/gnome2 --sysconfdir=/etc/opt/gnome2 --mandir=/opt/gnome2/man --infodir=/opt/gnome2/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Aug 18 2003 Ximian, Inc.

- Version: 2.0.10-0.ximian.0.1
- Summary: New build.
- New automated build.

